fixes for host gcc 4.6.1
[zpugcc/jano.git] / toolchain / dejagnu / example / hello / Makefile.in
bloba6795d7688b8df79b8a3d91482e4d537e3a96db0
1 # Makefile.in generated automatically by automake 1.5 from Makefile.am.
3 # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
4 # Free Software Foundation, Inc.
5 # This Makefile.in is free software; the Free Software Foundation
6 # gives unlimited permission to copy and/or distribute it,
7 # with or without modifications, as long as this notice is preserved.
9 # This program is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
11 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
12 # PARTICULAR PURPOSE.
14 @SET_MAKE@
16 # Copyright (c) 2001, 2002 Clifton Labs, Inc
17 # All rights reserved.
19 # CLIFTON LABS MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE
20 # SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT
21 # NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
22 # A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. CLIFTON LABS SHALL NOT BE
23 # LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING,
24 # RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS
25 # DERIVATIVES.
27 # By using or copying this Software, Licensee agrees to abide by the
28 # intellectual property laws, and all other applicable laws of the U.S.,
29 # and the terms of this license.
31 # You may modify, distribute, and use the software contained in this
32 # package under the terms of the "GNU LIBRARY GENERAL PUBLIC LICENSE"
33 # version 2, June 1991. A copy of this license agreement can be found in
34 # the file "LGPL", distributed with this archive.
36 # Author: Philip A. Wilsey philip.wilsey@ieee.org
38 # ------------------------------------------------------------------------
40 SHELL = @SHELL@
42 srcdir = @srcdir@
43 top_srcdir = @top_srcdir@
44 VPATH = @srcdir@
45 prefix = @prefix@
46 exec_prefix = @exec_prefix@
48 bindir = @bindir@
49 sbindir = @sbindir@
50 libexecdir = @libexecdir@
51 datadir = @datadir@
52 sysconfdir = @sysconfdir@
53 sharedstatedir = @sharedstatedir@
54 localstatedir = @localstatedir@
55 libdir = @libdir@
56 infodir = @infodir@
57 mandir = @mandir@
58 includedir = @includedir@
59 oldincludedir = /usr/include
60 pkgdatadir = $(datadir)/@PACKAGE@
61 pkglibdir = $(libdir)/@PACKAGE@
62 pkgincludedir = $(includedir)/@PACKAGE@
63 top_builddir = .
65 ACLOCAL = @ACLOCAL@
66 AUTOCONF = @AUTOCONF@
67 AUTOMAKE = @AUTOMAKE@
68 AUTOHEADER = @AUTOHEADER@
70 INSTALL = @INSTALL@
71 INSTALL_PROGRAM = @INSTALL_PROGRAM@
72 INSTALL_DATA = @INSTALL_DATA@
73 INSTALL_SCRIPT = @INSTALL_SCRIPT@
74 INSTALL_HEADER = $(INSTALL_DATA)
75 transform = @program_transform_name@
76 NORMAL_INSTALL = :
77 PRE_INSTALL = :
78 POST_INSTALL = :
79 NORMAL_UNINSTALL = :
80 PRE_UNINSTALL = :
81 POST_UNINSTALL = :
82 AMTAR = @AMTAR@
83 AWK = @AWK@
84 CC = @CC@
85 DEPDIR = @DEPDIR@
86 DOCBOOK = @DOCBOOK@
87 EXEEXT = @EXEEXT@
88 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
89 OBJEXT = @OBJEXT@
90 PACKAGE = @PACKAGE@
91 TCLSH = @TCLSH@
92 VERSION = @VERSION@
93 am__include = @am__include@
94 am__quote = @am__quote@
95 install_sh = @install_sh@
96 tclsh = @tclsh@
98 bin_PROGRAMS = hello
99 hello_SOURCES = hello.c
101 SUBDIRS = testsuite
102 subdir = .
103 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
104 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
105 CONFIG_CLEAN_FILES =
106 bin_PROGRAMS = hello$(EXEEXT)
107 PROGRAMS = $(bin_PROGRAMS)
109 am_hello_OBJECTS = hello.$(OBJEXT)
110 hello_OBJECTS = $(am_hello_OBJECTS)
111 hello_LDADD = $(LDADD)
112 hello_DEPENDENCIES =
113 hello_LDFLAGS =
115 DEFS = @DEFS@
116 DEFAULT_INCLUDES = -I. -I$(srcdir)
117 CPPFLAGS = @CPPFLAGS@
118 LDFLAGS = @LDFLAGS@
119 LIBS = @LIBS@
120 depcomp = $(SHELL) $(top_srcdir)/depcomp
121 @AMDEP_TRUE@DEP_FILES = $(DEPDIR)/hello.Po
122 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
123 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
124 CCLD = $(CC)
125 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
126 CFLAGS = @CFLAGS@
127 DIST_SOURCES = $(hello_SOURCES)
129 RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
130 uninstall-info-recursive all-recursive install-data-recursive \
131 install-exec-recursive installdirs-recursive install-recursive \
132 uninstall-recursive check-recursive installcheck-recursive
133 DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
134 Makefile.in NEWS acinclude.m4 aclocal.m4 configure configure.in \
135 depcomp install-sh missing mkinstalldirs
136 DIST_SUBDIRS = $(SUBDIRS)
137 SOURCES = $(hello_SOURCES)
139 all: all-recursive
141 .SUFFIXES:
142 .SUFFIXES: .c .o .obj
143 $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
144 cd $(top_srcdir) && \
145 $(AUTOMAKE) --gnu Makefile
146 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
147 cd $(top_builddir) && \
148 CONFIG_HEADERS= CONFIG_LINKS= \
149 CONFIG_FILES=$@ $(SHELL) ./config.status
151 $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
152 $(SHELL) ./config.status --recheck
153 $(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
154 cd $(srcdir) && $(AUTOCONF)
156 $(ACLOCAL_M4): configure.in acinclude.m4
157 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
158 install-binPROGRAMS: $(bin_PROGRAMS)
159 @$(NORMAL_INSTALL)
160 $(mkinstalldirs) $(DESTDIR)$(bindir)
161 @list='$(bin_PROGRAMS)'; for p in $$list; do \
162 p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
163 if test -f $$p \
164 ; then \
165 f=`echo $$p1|sed '$(transform);s/$$/$(EXEEXT)/'`; \
166 echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/$$f"; \
167 $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/$$f; \
168 else :; fi; \
169 done
171 uninstall-binPROGRAMS:
172 @$(NORMAL_UNINSTALL)
173 @list='$(bin_PROGRAMS)'; for p in $$list; do \
174 f=`echo $$p|sed 's/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
175 echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
176 rm -f $(DESTDIR)$(bindir)/$$f; \
177 done
179 clean-binPROGRAMS:
180 -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
181 hello$(EXEEXT): $(hello_OBJECTS) $(hello_DEPENDENCIES)
182 @rm -f hello$(EXEEXT)
183 $(LINK) $(hello_LDFLAGS) $(hello_OBJECTS) $(hello_LDADD) $(LIBS)
185 mostlyclean-compile:
186 -rm -f *.$(OBJEXT) core *.core
188 distclean-compile:
189 -rm -f *.tab.c
191 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/hello.Po@am__quote@
193 distclean-depend:
194 -rm -rf $(DEPDIR)
196 .c.o:
197 @AMDEP_TRUE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
198 @AMDEP_TRUE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
199 @AMDEP_TRUE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
200 $(COMPILE) -c `test -f $< || echo '$(srcdir)/'`$<
202 .c.obj:
203 @AMDEP_TRUE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
204 @AMDEP_TRUE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
205 @AMDEP_TRUE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
206 $(COMPILE) -c `cygpath -w $<`
207 CCDEPMODE = @CCDEPMODE@
208 uninstall-info-am:
210 # This directory's subdirectories are mostly independent; you can cd
211 # into them and run `make' without going through this Makefile.
212 # To change the values of `make' variables: instead of editing Makefiles,
213 # (1) if the variable is set in `config.status', edit `config.status'
214 # (which will cause the Makefiles to be regenerated when you run `make');
215 # (2) otherwise, pass the desired values on the `make' command line.
216 $(RECURSIVE_TARGETS):
217 @set fnord $(MAKEFLAGS); amf=$$2; \
218 dot_seen=no; \
219 target=`echo $@ | sed s/-recursive//`; \
220 list='$(SUBDIRS)'; for subdir in $$list; do \
221 echo "Making $$target in $$subdir"; \
222 if test "$$subdir" = "."; then \
223 dot_seen=yes; \
224 local_target="$$target-am"; \
225 else \
226 local_target="$$target"; \
227 fi; \
228 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
229 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
230 done; \
231 if test "$$dot_seen" = "no"; then \
232 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
233 fi; test -z "$$fail"
235 mostlyclean-recursive clean-recursive distclean-recursive \
236 maintainer-clean-recursive:
237 @set fnord $(MAKEFLAGS); amf=$$2; \
238 dot_seen=no; \
239 case "$@" in \
240 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
241 *) list='$(SUBDIRS)' ;; \
242 esac; \
243 rev=''; for subdir in $$list; do \
244 if test "$$subdir" = "."; then :; else \
245 rev="$$subdir $$rev"; \
246 fi; \
247 done; \
248 rev="$$rev ."; \
249 target=`echo $@ | sed s/-recursive//`; \
250 for subdir in $$rev; do \
251 echo "Making $$target in $$subdir"; \
252 if test "$$subdir" = "."; then \
253 local_target="$$target-am"; \
254 else \
255 local_target="$$target"; \
256 fi; \
257 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
258 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
259 done && test -z "$$fail"
260 tags-recursive:
261 list='$(SUBDIRS)'; for subdir in $$list; do \
262 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
263 done
265 tags: TAGS
267 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
268 list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
269 unique=`for i in $$list; do \
270 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
271 done | \
272 $(AWK) ' { files[$$0] = 1; } \
273 END { for (i in files) print i; }'`; \
274 mkid -fID $$unique $(LISP)
276 TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
277 $(TAGS_FILES) $(LISP)
278 tags=; \
279 here=`pwd`; \
280 list='$(SUBDIRS)'; for subdir in $$list; do \
281 if test "$$subdir" = .; then :; else \
282 test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
283 fi; \
284 done; \
285 list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
286 unique=`for i in $$list; do \
287 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
288 done | \
289 $(AWK) ' { files[$$0] = 1; } \
290 END { for (i in files) print i; }'`; \
291 test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
292 || etags $(ETAGS_ARGS) $$tags $$unique $(LISP)
294 GTAGS:
295 here=`CDPATH=: && cd $(top_builddir) && pwd` \
296 && cd $(top_srcdir) \
297 && gtags -i $(GTAGS_ARGS) $$here
299 distclean-tags:
300 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
302 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
304 top_distdir = .
305 # Avoid unsightly `./'.
306 distdir = $(PACKAGE)-$(VERSION)
308 GZIP_ENV = --best
310 distdir: $(DISTFILES)
311 -chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
312 mkdir $(distdir)
313 @for file in $(DISTFILES); do \
314 if test -f $$file; then d=.; else d=$(srcdir); fi; \
315 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
316 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
317 $(mkinstalldirs) "$(distdir)/$$dir"; \
318 fi; \
319 if test -d $$d/$$file; then \
320 cp -pR $$d/$$file $(distdir) \
321 || exit 1; \
322 else \
323 test -f $(distdir)/$$file \
324 || cp -p $$d/$$file $(distdir)/$$file \
325 || exit 1; \
326 fi; \
327 done
328 for subdir in $(SUBDIRS); do \
329 if test "$$subdir" = .; then :; else \
330 test -d $(distdir)/$$subdir \
331 || mkdir $(distdir)/$$subdir \
332 || exit 1; \
333 (cd $$subdir && \
334 $(MAKE) $(AM_MAKEFLAGS) \
335 top_distdir="$(top_distdir)" \
336 distdir=../$(distdir)/$$subdir \
337 distdir) \
338 || exit 1; \
339 fi; \
340 done
341 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
342 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
343 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
344 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
345 || chmod -R a+r $(distdir)
346 dist: distdir
347 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
348 -chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
350 # This target untars the dist file and tries a VPATH configuration. Then
351 # it guarantees that the distribution is self-contained by making another
352 # tarfile.
353 distcheck: dist
354 -chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
355 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
356 chmod -R a-w $(distdir); chmod a+w $(distdir)
357 mkdir $(distdir)/=build
358 mkdir $(distdir)/=inst
359 chmod a-w $(distdir)
360 dc_install_base=`CDPATH=: && cd $(distdir)/=inst && pwd` \
361 && cd $(distdir)/=build \
362 && ../configure --srcdir=.. --prefix=$$dc_install_base \
363 && $(MAKE) $(AM_MAKEFLAGS) \
364 && $(MAKE) $(AM_MAKEFLAGS) dvi \
365 && $(MAKE) $(AM_MAKEFLAGS) check \
366 && $(MAKE) $(AM_MAKEFLAGS) install \
367 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
368 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
369 && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
370 || (echo "Error: files left after uninstall" 1>&2; \
371 exit 1) ) \
372 && $(MAKE) $(AM_MAKEFLAGS) dist \
373 && $(MAKE) $(AM_MAKEFLAGS) distclean \
374 && rm -f $(distdir).tar.gz \
375 && (test `find . -type f -print | wc -l` -eq 0 \
376 || (echo "Error: files left after distclean" 1>&2; \
377 exit 1) )
378 -chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
379 @echo "$(distdir).tar.gz is ready for distribution" | \
380 sed 'h;s/./=/g;p;x;p;x'
381 check-am: all-am
382 check: check-recursive
383 all-am: Makefile $(PROGRAMS)
384 installdirs: installdirs-recursive
385 installdirs-am:
386 $(mkinstalldirs) $(DESTDIR)$(bindir)
388 install: install-recursive
389 install-exec: install-exec-recursive
390 install-data: install-data-recursive
391 uninstall: uninstall-recursive
393 install-am: all-am
394 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
396 installcheck: installcheck-recursive
397 install-strip:
398 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
399 `test -z '$(STRIP)' || \
400 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
401 mostlyclean-generic:
403 clean-generic:
405 distclean-generic:
406 -rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*
408 maintainer-clean-generic:
409 @echo "This command is intended for maintainers to use"
410 @echo "it deletes files that may require special tools to rebuild."
411 clean: clean-recursive
413 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
415 dist-all: distdir
416 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
417 -chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
418 distclean: distclean-recursive
419 -rm -f config.status config.cache config.log
420 distclean-am: clean-am distclean-compile distclean-depend \
421 distclean-generic distclean-tags
423 dvi: dvi-recursive
425 dvi-am:
427 info: info-recursive
429 info-am:
431 install-data-am:
433 install-exec-am: install-binPROGRAMS
435 install-info: install-info-recursive
437 install-man:
439 installcheck-am:
441 maintainer-clean: maintainer-clean-recursive
443 maintainer-clean-am: distclean-am maintainer-clean-generic
445 mostlyclean: mostlyclean-recursive
447 mostlyclean-am: mostlyclean-compile mostlyclean-generic
449 uninstall-am: uninstall-binPROGRAMS uninstall-info-am
451 uninstall-info: uninstall-info-recursive
453 .PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
454 clean-binPROGRAMS clean-generic clean-recursive dist dist-all \
455 distcheck distclean distclean-compile distclean-depend \
456 distclean-generic distclean-recursive distclean-tags distdir \
457 dvi dvi-am dvi-recursive info info-am info-recursive install \
458 install-am install-binPROGRAMS install-data install-data-am \
459 install-data-recursive install-exec install-exec-am \
460 install-exec-recursive install-info install-info-am \
461 install-info-recursive install-man install-recursive \
462 install-strip installcheck installcheck-am installdirs \
463 installdirs-am installdirs-recursive maintainer-clean \
464 maintainer-clean-generic maintainer-clean-recursive mostlyclean \
465 mostlyclean-compile mostlyclean-generic mostlyclean-recursive \
466 tags tags-recursive uninstall uninstall-am \
467 uninstall-binPROGRAMS uninstall-info-am \
468 uninstall-info-recursive uninstall-recursive
470 # Tell versions [3.59,3.63) of GNU make to not export all variables.
471 # Otherwise a system limit (for SysV at least) may be exceeded.
472 .NOEXPORT: